2021-12-04 - Sorry the Gramps wiki is currently being upgraded to a newer software version. Please check back after the 2021-12-08. We apologize for the inconvenience.

Gramps for Windows with MSYS2

From Gramps
Revision as of 21:10, 20 March 2017 by Josipsf (talk | contribs) (Created page with "==Install MSYS2== Download [http://repo.msys2.org/distrib/x86_64/msys2-x86_64-20161025.exe MSYS2 64bit] installer ===Update MSYS2=== <pre> pacman -Syuu </pre> ===Install Gramp...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Install MSYS2

Download MSYS2 64bit installer

Update MSYS2

pacman -Syuu

Install Gramps dependencies

pacman -S mingw-w64-x86_64-python3-bsddb3 mingw-w64-x86_64-gexiv2 mingw-w64-x86_64-osmgpsmap-git mingw-w64-x86_64-ghostscript mingw-w64-x86_64-python3-cairo mingw-w64-x86_64-python3-gobject mingw-w64-x86_64-python3-icu mingw-w64-x86_64-iso-codes mingw-w64-x86_64-hunspell mingw-w64-x86_64-hunspell-en mingw-w64-x86_64-enchant

Install Git

pacman -S msys/git

Install Gramps

Create directory when to store Gramps source and go to it

mkdir ~/grampsdev
cd ~/grampsdev

Download Gramps master branch from source repository

git init
git remote add -t master -f origin https://github.com/gramps-project/gramps.git
git checkout master

Check which Gramps version is used

git describe

it should return something like: v5.0.0-alpha1-1024-g0919763f1